/* 基础重置 */
body, html {
    margin: 0; padding: 0;
    background-color: #EFF3F3; /* 对应设计图背景 */
    font-family: -apple-system, BlinkMacSystemFont, "PingFang SC", sans-serif;
}

.login-container {
    width: 100%;
    max-width: 500px; /* 适配大屏显示 */
    margin: 0 auto;
    position: relative;
}

/* 顶部图片铺满 */
.header-banner img {
    width: 100%;
    display: block;
    /*width: 750px;*/
    /*height: 459px;*/
}

/* 白色表单区域卡片化 */
.form-wrapper {
    /*background: #FFFFFF;*/
    background: linear-gradient( 180deg, rgba(255,255,255,0.69) 0%, #FFFFFF 13.25%, #FFFFFF 100%);
    border-radius: 30px 30px 0 0;
    margin-top: -30px; /* 向上偏移覆盖banner圆角部分 */
    position: relative;
    padding: 30px 25px 50px;
    min-height: 60vh;
}

/* 欢迎语布局 */
.welcome-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 35px;
}

.logo {
    height: 32px;
}

.welcome-title {
    font-size: 14px;
    color: #333333;
    font-weight: 500;
}

/* 输入框统一风格 */
.input-item {
    background: #F2F3F3;
    border-radius: 12px;
    height: 55px;
    display: flex;
    align-items: center;
    padding: 0 15px;
    margin-bottom: 20px;
}

.input-item .icon {
    width: 18px;
    height: 18px;
    margin-right: 15px;
}

.input-item input {
    flex: 1;
    background: transparent;
    border: none;
    outline: none;
    font-size: 15px;
    color: #333;
}

.get-code {
    color: #00B075; /* 绿色文字按钮 */
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    white-space: nowrap;
}

.disabled {
    color: #999 !important;
}

/* 登录按钮样式 */
.submit-btn {
    width: 100%;
    height: 55px;
    background: #019A85; /* 设计图的主题色 */
    color: #FFFFFF;
    border: none;
    border-radius: 12px;
    font-size: 18px;
    font-weight: bold;
    margin-top: 25px;
    cursor: pointer;
}

.submit-btn:active {
    opacity: 0.8;
}

/* 底部协议 */
.protocol-area {
    margin-top: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 13px;
    color: #666;
}

.protocol-area input {
    margin-right: 8px;
    accent-color: #019A85; /* 设置复选框主题色 */
}

.protocol-area a {
    color: #019A85;
    text-decoration: none;
}


/*首页*/
